#ifndef _STRINGARRAY_H_
#define _STRINGARRAY_H_
#include <string>
#include <vector>
#include <map>
using namespace std;
#include <string.h>

class stringArray
{	private:
	protected:
  public:
		vector<string> array;
  	stringArray();
  	stringArray(char *list, char *divider);
    void add(char *member);
    void add(string member);
    void add(stringArray &array);
    void insertAt(string member, unsigned int at);
    void remove(char *member);
    void remove(string member);
    void clear();
    bool includes(char *member);
    bool includes(string member);
    static stringArray words(char *line);
    unsigned int size(){ return this->array.size(); };
    int  indexOf(char *member);
    int  indexOf(string member);
    int  writeToCString(char *buffer, char *divider, int bufflen);
    string toString(string separator);
    string &operator[](const unsigned int);
};

typedef map<string, stringArray, less<string> > strArrayMap;
#endif
